Search for all

  1. Search 7.x for all
  2. Search 9.5.x for all
  3. Search 8.9.x for all
  4. Search 10.3.x for all
  5. Search 11.x for all
  6. Other projects
Title Object type File name Summary
EntityResolverManagerTest::$entityTypeManager property core/tests/Drupal/Tests/Core/Entity/EntityResolverManagerTest.php The entity type manager.
EntityResolverManagerTest::providerTestSetRouteOptionsWithContentController function core/tests/Drupal/Tests/Core/Entity/EntityResolverManagerTest.php Data provider for testSetRouteOptionsWithContentController.
EntityResolverManagerTest::providerTestSetRouteOptionsWithEntityTypeNoUpcasting function core/tests/Drupal/Tests/Core/Entity/EntityResolverManagerTest.php Data provider for testSetRouteOptionsWithEntityTypeNoUpcasting.
EntityResolverManagerTest::providerTestSetRouteOptionsWithEntityTypeUpcasting function core/tests/Drupal/Tests/Core/Entity/EntityResolverManagerTest.php Data provider for testSetRouteOptionsWithEntityTypeUpcasting.
EntityResolverManagerTest::providerTestSetRouteOptionsWithStandardRoute function core/tests/Drupal/Tests/Core/Entity/EntityResolverManagerTest.php Data provider for testSetRouteOptionsWithStandardRoute.
EntityResolverManagerTest::providerTestSetRouteOptionsWithStandardRouteWithArgument function core/tests/Drupal/Tests/Core/Entity/EntityResolverManagerTest.php Data provider for testSetRouteOptionsWithStandardRouteWithArgument.
EntityResolverManagerTest::providerTestSetRouteOptionsWithUnionEntityType function core/tests/Drupal/Tests/Core/Entity/EntityResolverManagerTest.php Data provider for testSetRouteOptionsWithUnionEntityType.
EntityResolverManagerTest::setUp function core/tests/Drupal/Tests/Core/Entity/EntityResolverManagerTest.php
EntityResolverManagerTest::setupEntityTypes function core/tests/Drupal/Tests/Core/Entity/EntityResolverManagerTest.php Creates the entity type manager mock returning entity type objects.
EntityResolverManagerTest::testSetRouteOptionsWithContentController function core/tests/Drupal/Tests/Core/Entity/EntityResolverManagerTest.php Tests setRouteOptions() with a _content default.
EntityResolverManagerTest::testSetRouteOptionsWithEntityAddFormRoute function core/tests/Drupal/Tests/Core/Entity/EntityResolverManagerTest.php Tests setRouteOptions() with an _entity_form route for an add form.
EntityResolverManagerTest::testSetRouteOptionsWithEntityFormNoUpcasting function core/tests/Drupal/Tests/Core/Entity/EntityResolverManagerTest.php Tests setRouteOptions() with a form parameter without interface.
EntityResolverManagerTest::testSetRouteOptionsWithEntityFormRoute function core/tests/Drupal/Tests/Core/Entity/EntityResolverManagerTest.php Tests setRouteOptions() with an _entity_form route.
EntityResolverManagerTest::testSetRouteOptionsWithEntityFormRouteAndArgument function core/tests/Drupal/Tests/Core/Entity/EntityResolverManagerTest.php Tests an _entity_form route where a non-entity parameter is first.
EntityResolverManagerTest::testSetRouteOptionsWithEntityFormUpcasting function core/tests/Drupal/Tests/Core/Entity/EntityResolverManagerTest.php Tests setRouteOptions() with an entity type parameter form.
EntityResolverManagerTest::testSetRouteOptionsWithEntityListRoute function core/tests/Drupal/Tests/Core/Entity/EntityResolverManagerTest.php Tests setRouteOptions() with an _entity_list route.
EntityResolverManagerTest::testSetRouteOptionsWithEntityTypeNoUpcasting function core/tests/Drupal/Tests/Core/Entity/EntityResolverManagerTest.php Tests setRouteOptions() with an entity type parameter.
EntityResolverManagerTest::testSetRouteOptionsWithEntityTypeUpcasting function core/tests/Drupal/Tests/Core/Entity/EntityResolverManagerTest.php Tests setRouteOptions() with an entity type parameter, upcasting.
EntityResolverManagerTest::testSetRouteOptionsWithEntityUpcastingNoCreate function core/tests/Drupal/Tests/Core/Entity/EntityResolverManagerTest.php Tests setRouteOptions() with entity form upcasting, no create method.
EntityResolverManagerTest::testSetRouteOptionsWithEntityViewRoute function core/tests/Drupal/Tests/Core/Entity/EntityResolverManagerTest.php Tests setRouteOptions() with an _entity_view route.
EntityResolverManagerTest::testSetRouteOptionsWithEntityViewRouteAndManualParameters function core/tests/Drupal/Tests/Core/Entity/EntityResolverManagerTest.php Tests setRouteOptions() with an _entity_view route.
EntityResolverManagerTest::testSetRouteOptionsWithStandardRoute function core/tests/Drupal/Tests/Core/Entity/EntityResolverManagerTest.php Tests setRouteOptions() with no parameter.
EntityResolverManagerTest::testSetRouteOptionsWithStandardRouteWithArgument function core/tests/Drupal/Tests/Core/Entity/EntityResolverManagerTest.php Tests setRouteOptions() with a controller with a non entity argument.
EntityResolverManagerTest::testSetRouteOptionsWithUnionEntityType function core/tests/Drupal/Tests/Core/Entity/EntityResolverManagerTest.php Tests setRouteOptions() with an entity union type.
EntityResource class core/modules/rest/src/Plugin/rest/resource/EntityResource.php Represents entities as resources.
EntityResource class core/modules/jsonapi/src/Controller/EntityResource.php Process all entity requests.
EntityResource.php file core/modules/jsonapi/src/Controller/EntityResource.php
EntityResource.php file core/modules/rest/src/Plugin/rest/resource/EntityResource.php
EntityResource::$entityType property core/modules/rest/src/Plugin/rest/resource/EntityResource.php The entity type targeted by this resource.
EntityResource::addLinkHeaders function core/modules/rest/src/Plugin/rest/resource/EntityResource.php Adds link headers to a response.
EntityResource::addToRelationshipData function core/modules/jsonapi/src/Controller/EntityResource.php Adds a relationship to a to-many relationship.
EntityResource::availableMethods function core/modules/rest/src/Plugin/rest/resource/EntityResource.php Returns the available HTTP request methods on this plugin.
EntityResource::buildWrappedResponse function core/modules/jsonapi/src/Controller/EntityResource.php Builds a response with the appropriate wrapped document.
EntityResource::calculateDependencies function core/modules/rest/src/Plugin/rest/resource/EntityResource.php Calculates dependencies for the configured plugin.
EntityResource::checkPatchFieldAccess function core/modules/rest/src/Plugin/rest/resource/EntityResource.php Checks whether the given field should be PATCHed.
EntityResource::checkPatchFieldAccess function core/modules/jsonapi/src/Controller/EntityResource.php Checks whether the given field should be PATCHed.
EntityResource::create function core/modules/rest/src/Plugin/rest/resource/EntityResource.php Instantiates a new instance of the implementing class using autowiring.
EntityResource::createIndividual function core/modules/jsonapi/src/Controller/EntityResource.php Creates an individual entity.
EntityResource::delete function core/modules/rest/src/Plugin/rest/resource/EntityResource.php Responds to entity DELETE requests.
EntityResource::deleteIndividual function core/modules/jsonapi/src/Controller/EntityResource.php Deletes an individual entity.
EntityResource::deserialize function core/modules/jsonapi/src/Controller/EntityResource.php Deserializes a request body, if any.
EntityResource::doPatchIndividualRelationship function core/modules/jsonapi/src/Controller/EntityResource.php Update a to-one relationship.
EntityResource::doPatchMultipleRelationship function core/modules/jsonapi/src/Controller/EntityResource.php Update a to-many relationship.
EntityResource::entityExists function core/modules/jsonapi/src/Controller/EntityResource.php Checks if the given entity exists.
EntityResource::executeQueryInRenderContext function core/modules/jsonapi/src/Controller/EntityResource.php Executes the query in a render context, to catch bubbled cacheability.
EntityResource::generateFallbackAccessDeniedMessage function core/modules/rest/src/Plugin/rest/resource/EntityResource.php Generates a fallback access denied message, when no specific reason is set.
EntityResource::get function core/modules/rest/src/Plugin/rest/resource/EntityResource.php Responds to entity GET requests.
EntityResource::getBaseRoute function core/modules/rest/src/Plugin/rest/resource/EntityResource.php Gets the base route for a particular method.
EntityResource::getCollection function core/modules/jsonapi/src/Controller/EntityResource.php Gets the collection of entities.
EntityResource::getCollectionCountQuery function core/modules/jsonapi/src/Controller/EntityResource.php Gets a basic query for a collection count.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.